Sauce-0.10.1 A C++ Dependency Injection Framework

- Main Page
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
sauce::internal::SelfInjector< T > Class Template Reference

If a type requests injection of its own smart pointer, do so. More...

`#include <sauce/internal/self_injector.h>`

## Public Member Functions
void | setSelf (Ptr ptr)

## Detailed Description

### template<typename T>
class sauce::internal::SelfInjector< T >

If a type requests injection of its own smart pointer, do so.

A type requests self-injection by defining the RequestsSelfInjection typedef. If this typedef is present, void setSelf(sauce::weak_ptr<RequestsSelfInjection>) must be defined and will be passes a self weak pointer.

The documentation for this class was generated from the following file:

- sauce/internal/self_injector.h